function imgadapter(obj,width,height)
{
var max_height = height;
var max_width = width;
var real_height = obj.height;
var real_width = obj.width;
if(obj.height>max_height)
{
obj.height = max_height;
obj.width = Math.round(obj.height*real_width/real_height);
}
if(obj.width>max_width)
{
obj.width = max_width;
obj.height = Math.round(obj.width*real_height/real_width);
}
}